Publish an evaluation to Weave
curl --request POST \
--url https://distillation.training.wandb.ai/v1/evals/{evalId}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/evals/{evalId}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/evals/{evalId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Publish an evaluation to Weave
Queues publication of evaluation records to Weave.
POST
/
evals
/
{evalId}
/
export
Publish an evaluation to Weave
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Path Parameters
Query Parameters
Supersede an existing completed export when its content has changed.
Response
Export was queued.
Evaluation export queue state.
Last modified on August 25, 2026
Was this page helpful?
⌘I